# Available datasets

The full descriptions of the datasets and the studies of origin can be found in the manuscript. Here we provide the links to access the processed datasets.

## Pretraining data

To download data from CellXGene and build for pretraining, go to the folder [cellxgene](cellxgene) and follow the instructions.

## Datasets for cell type annotation

- Multiple Sclerosis (M.S.) dataset: [link](https://drive.google.com/drive/folders/1Qd42YNabzyr2pWt9xoY4cVMTAxsNBt4v?usp=sharing)

- Myeloid (Mye.) dataset: [link](https://drive.google.com/drive/folders/1VbpApQufZq8efFGakW3y8QDDpY9MBoDS?usp=drive_link)

- hPancreas dataset: [link](https://drive.google.com/drive/folders/1s9XjcSiPC-FYV3VeHrEa7SeZetrthQVV?usp=drive_link)

## Datasets for multi-batch integration

- PBMC 10K: [link](https://docs.scvi-tools.org/en/stable/api/reference/scvi.data.pbmc_dataset.html)

- Perirhinal Cortex dataset: [link](https://drive.google.com/file/d/1rDAxDtvWx1GpJaNhlKBi71f8-psUNppE/view?usp=drive_link)

- COVID-19 dataset: [link](https://drive.google.com/file/d/1eD9LbxNJ35YUde3VtdVcjkwm-f4iyJ6x/view?usp=drive_link)

## Datasets for multi-omics integration

- BMMC dataset: [link](https://drive.google.com/drive/folders/1VRsVugg6vgCq8GG0gGajYsyXfrEtP0jK?usp=sharing)

- 10x Multiome PBMC dataset: [link](https://drive.google.com/drive/folders/163J4Qi7R-awuLiHnWCh-eJD7RPMnb_yK?usp=sharing)

## Datasets for perturbation prediction

- Adamson dataset: [link](https://dataverse.harvard.edu/api/access/datafile/6154417)

- Norman dataset: [link](https://dataverse.harvard.edu/api/access/datafile/6154020)

## Datasets for the GRN analysis

- Immune Human dataset [link](https://figshare.com/ndownloader/files/25717328)

## Datasets for zero-shot integration

- Lung-Kim dataset: [link](https://drive.google.com/file/d/1z_0vWYMhRuRiD1EyhuFtY9ReIR0msWaL/view?usp=sharing)

- COVID-19 dataset: [link](https://drive.google.com/file/d/1eD9LbxNJ35YUde3VtdVcjkwm-f4iyJ6x/view?usp=drive_link)

- Multiple Sclerosis (M.S.) dataset: [link](https://drive.google.com/drive/folders/1Qd42YNabzyr2pWt9xoY4cVMTAxsNBt4v?usp=sharing)


## Datasets for zero-shot integration

- COVID-19 dataset(splitted) : [link](https://drive.google.com/drive/folders/1jSPoPunGQOmd71vDsK0FS7UvmDhGdhQS?usp=sharing)

- Lung-Kim dataset(splitted): [link](https://drive.google.com/drive/folders/1gbfO7VqxCOkfzgHAih6hO88zFv6pd8wO?usp=sharing)
